org.apache.hadoop.mapreduce.lib.aggregate

## Class ValueAggregatorJobBase<K1 extends org.apache.hadoop.io.WritableComparable<?>,V1 extends org.apache.hadoop.io.Writable>

- java.lang.Object
- - org.apache.hadoop.mapreduce.lib.aggregate.ValueAggregatorJobBase<K1,V1>

-     @InterfaceAudience.Public
       @InterfaceStability.Stable
      public class ValueAggregatorJobBase<K1 extends org.apache.hadoop.io.WritableComparable<?>,V1 extends org.apache.hadoop.io.Writable>
      extends Object

  This abstract class implements some common functionalities of the the generic mapper, reducer and combiner classes of Aggregate.

- - ### Field Summary

    Fields
    Modifier and Type | Field and Description
    --- | ---
    `protected static ArrayList<ValueAggregatorDescriptor>` | `aggregatorDescriptorList`
    `static String` | `DESCRIPTOR`
    `static String` | `DESCRIPTOR_NUM`
    `static String` | `USER_JAR`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `ValueAggregatorJobBase()`

  - ### Method Summary

    All Methods Static Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `protected static ArrayList<ValueAggregatorDescriptor>` | `getAggregatorDescriptors(org.apache.hadoop.conf.Configuration conf)`
    `protected static ValueAggregatorDescriptor` | `getValueAggregatorDescriptor(String spec, org.apache.hadoop.conf.Configuration conf)`
    `protected static void` | `logSpec()`
    `static void` | `setup(org.apache.hadoop.conf.Configuration job)`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Field Detail

    - #### DESCRIPTOR

          public static final String DESCRIPTOR

      See Also:
        Constant Field Values

    - #### DESCRIPTOR_NUM

          public static final String DESCRIPTOR_NUM

      See Also:
        Constant Field Values

    - #### USER_JAR

          public static final String USER_JAR

      See Also:
        Constant Field Values

    - #### aggregatorDescriptorList

          protected static ArrayList<ValueAggregatorDescriptor> aggregatorDescriptorList

  - ### Constructor Detail

    - #### ValueAggregatorJobBase

          public ValueAggregatorJobBase()

  - ### Method Detail

    - #### setup

          public static void setup(org.apache.hadoop.conf.Configuration job)

    - #### getValueAggregatorDescriptor

          protected static ValueAggregatorDescriptor getValueAggregatorDescriptor(String spec,
                                                                                  org.apache.hadoop.conf.Configuration conf)

    - #### getAggregatorDescriptors

          protected static ArrayList<ValueAggregatorDescriptor> getAggregatorDescriptors(org.apache.hadoop.conf.Configuration conf)

    - #### logSpec

          protected static void logSpec()

Copyright © 2008–2022 Apache Software Foundation. All rights reserved.